/*
 * WCOL: configuration's argments procedures
 *      by k-chinen@is.aist-nara.ac.jp, 1995, 1996, 1997
 *
 * $Id: args.h,v 1.1 1995/12/04 17:14:38 k-chinen Exp k-chinen $
 */


#ifndef WCOL_ARGS_H
#define WCOL_ARGS_H

/*
 * name val1 val2 ... valN
 */
typedef struct _arg_t {
    char *name;
    char **vals;
    struct _arg_t *next;
} arg_t ;

extern arg_t *running_args;

int ShowArgs(arg_t *head);
int ReadArgsFromFile(char *fname, arg_t **ret_args);


#endif /* WCOL_ARGS_H */
