/*
 * fds.h: wrapper for fdset_t
 *
 *      by k-chinen@is.aist-nara.ac.jp, 1997
 *
 * $Id: fds.h,v 1.1 1997/09/15 01:58:56 k-chinen Exp k-chinen $
 */

#ifndef WCOL_FDS_H

#define WCOL_FDS_H

#ifdef  HAVE_TYPEDEF_FD_SET
typedef fd_set          fdset_t;
#else
typedef struct fd_set   fdset_t;
#endif  /* HAVE_FDSET_T */

void dump_fdset(int nfd, fdset_t *session_fdset,
    fdset_t *rdset, fdset_t *wdset, fdset_t *edset);

#endif /* WCOL_FDS_H */

