/*
 * WCOL: sibling procedures
 *          by k-chinen@is.aist-nara.ac.jp, 1996
 *
 * $Id$
 */


#ifndef WCOL_SIBLING_H
#define WCOL_SIBLING_H


#ifndef MAX_SIBLING
#define MAX_SIBLING     (10)
#endif /* MAX_SIBLING */


#define SIBLING_TYPE_QUERY      0x01
#define SIBLING_TYPE_NOTIFY     0x02


typedef struct {
    int  id;

    char name[STRING_SIZE];
    struct sockaddr_in addr;

    int  type;

    int  icp_port;
    int  http_port;

    int  usecount;

} sibling_info_t;



extern int num_sibling;
extern sibling_info_t *sibling_list[MAX_SIBLING];

void DumpSiblings();
void ShowSiblings(FILE *fp);

#endif /* WCOL_SIBLING_H */

