/*
 * WCOL: reqeust accept procedures
 *      by k-chinen@is.aist-nara.ac.jp, 1994, 1995
 *
 * $Id: accept.h,v 1.2 1995/10/09 10:07:27 k-chinen Exp k-chinen $
 */

#ifndef WCOL_ACCEPT_H
#define WCOL_ACCEPT_H

#ifndef ACCEPT_TABLE_MAX
#define ACCEPT_TABLE_MAX    32
#endif

typedef
    struct {
        unsigned char addr[5];
        unsigned char mask[5];
    } accept_table_rec;

#if 0
static int accept_last=0;
static accept_table_rec table[ACCEPT_TABLE_MAX];
#endif


#define RECEPTION_TIMEOUT   3

/*
 * Misc macros (syntex suger)
 */
#define set_addr(ad, a, b, c, d) \
    ad[0] = a; ad[1] = b; ad[2] = c; ad[3] = d; ad[4] = 0

#define show_addr(pre, ad) \
    Trace("%s: %d.%d.%d.%d. (%02x.%02x.%02x.%02x)\n", \
        pre, ad[0], ad[1], ad[2], ad[3], ad[0], ad[1], ad[2], ad[3])


int Read_Accepttable(char *fname);
int Acceptable(unsigned char *target);
int AppendAcceptEntry(char*, char*);

#endif /* WCOL_ACCEPT_H */
