/*
 * Convertor module header file
 *      by k-chinen@is.aist-nara.ac.jp, 1994
 *
 * $Id: conv.h,v 1.2 1995/02/10 13:15:23 k-chinen Exp k-chinen $
 */

#ifndef WCOL_CONV_H
#define WCOL_CONV_H


#define CONV_TBL_NUM        (64)

#define CONV_INNER_FUNCTION (0x10)

#define CONV_HAS_INPUT      (0x1)
#define CONV_HAS_OUTPUT     (0x2)



typedef struct {
    char target[STRING_SIZE];
    char target_ext[STRING_SIZE];
    char output[STRING_SIZE];
    char program[STRING_SIZE];
} conv_elem;


int AppendConvertEntry(char *atype, char *aext, char *aout, char *aprog);
int check_hook(char *name, char *type);
int ConvProgramName(char *dest,char *mask, char *in, char *out);
int Read_Convtable (char *name );
int IsConvEntry ();

extern conv_elem conv_tbl[];

#endif /* WCOL_CONV_H */
