/*
 * ftp.c
 *      orignal by T.Yoshida
 *      modified by k-chinen@is.aist-nara.ac.jp, 1997
 *
 */

#ifndef WCOL_FTP_H
#define WCOL_FTP_H

#define FTP_PORT        21
#define FTP_DATA_PORT   20

#define TYPE_A          'A'
#define TYPE_I          'I'
#define TYPE_L          'I'

#define CONN_TYPE_PORT      1
#define CONN_TYPE_PASV      2

#define SKIP            -1


#ifdef __STDC__
int putline(const int fd, const char *fmt, ...);
#else
int putline();
#endif

int FTP_Conncet(char *server, int port);
int FTP_User(int sd, char *uname);
int FTP_Pass (int sd, char *passwd );
int FTP_Type (int sd, char mode );
char *FTP_Pwd (int sd) ;
int FTP_Cd (int sd, char *dir) ;
int FTP_Quit (int sd );
int FTP_Put (int sd ,int ctype, char* path ,char* fname , char mode );
int FTP_Get (int sd ,int ctype, char* path ,char* fname ,char mode );
int FTP_GetPassive(int sd , char* path ,char* fname ,char mode );
int FTP_GetAcctive(int sd , char* path ,char* fname ,char mode );

#if 0
int DataInitconn (int sd, int ctype);
int DataSend (sd ,data ,lpath ,local ,mode )int sd ;int data ;char *lpath ,*local ;char mode ;
int DataRecv (sd ,data ,path ,local ,mode )int sd ;int data ;char *path ,*local ;char mode ;
#endif


#endif
