/*
 *  WCOL: Inter process communication routines
 *      by k-chinen@is.aist-nara.ac.jp, 1995
 *
 *  $Id: ipc.h,v 1.2 1996/07/26 18:40:07 k-chinen Exp k-chinen $
 */

#ifndef WCOL_IPC_H
#define WCOL_IPC_H

int SendFRecord(int port, int fd, void *rec, size_t len);
int RecvFRecord(int port, int *fd, void *rec, size_t len);
int SendRecord(int port, void *rec, size_t len);
int RecvRecord(int port, void *rec, size_t len);

int NSendFRecord(int n, int port, int fd, void *rec, size_t len);
int NSendRecord(int n, int port, void *rec, size_t len);
int NRecvFRecord(int n, int port, int *fd, void *rec, size_t len);
int NRecvRecord(int n, int port, void *rec, size_t len);

int XSendFRecord(int x, int port, int fd, void *rec, size_t len);
int XSendRecord(int x, int port, void *rec, size_t len);

#endif
